/*
 *  Copyright (C) 2008, Pedro Carlos da Silva Lara
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version. 
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.   
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package ec.gf;


public class Curve {
	
	public Curve(ElementGF a, ElementGF b) {
		this.a = a;
		this.b = b;
	}
	
	public ElementGF getA() {
		return a;
	}

	public ElementGF getB() {
		return b;
	}

	public boolean equals(Curve E) {
		return (this.a.equals(E.getA())&&
				this.b.equals(E.getB()) );
	}
	
	private ElementGF a;
	private ElementGF b;
}
